Bug 427092 - Rosegarden grace notes do not work
Rosegarden grace notes do not work
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: rosegarden4 (Show other bugs)
8
All Linux
low Severity low
: ---
: ---
Assigned To: Callum Lerwick
Fedora Extras Quality Assurance
http://en.wikipedia.org/wiki/Ornament...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-12-31 07:11 EST by David W. Legg
Modified: 2009-01-09 00:39 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-09 00:39:43 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Example of 2 bars of music with incorrect appoggiatura (9.52 KB, application/octet-stream)
2007-12-31 07:11 EST, David W. Legg
no flags Details

  None (edit)
Description David W. Legg 2007-12-31 07:11:13 EST
Description of problem:
It is impossible to insert correct appoggiaturas and acciaccaturas into music.
The grace notes should appear to have no time value, but in practice be short
notes.  See the attached rosegarden file, which shows an appoggiatura before a
quaver.  The quaver should be a crotchet.  The appoggiatura should be displayed
as occupying zero time, but should get played as a quaver.

There is also no way of making the appoggiatura into an acciaccatura, which
should be a very very short note.

Rosegarden currently has a 'grace notes' button, but all it seems to do is
render the notes using a smaller font.  Correct grace notes are essential for
transcribing baroque music, for example.

Version-Release number of selected component (if applicable):


How reproducible:
100%

Steps to Reproduce:
1. See attached example.
2.
3.
  
Actual results:
See attached example.

Expected results:
See referenced wikipedia page for how appoggiaturas and acciaccaturas are meant
to work.

Additional info:
Comment 1 David W. Legg 2007-12-31 07:11:13 EST
Created attachment 290574 [details]
Example of 2 bars of music with incorrect appoggiatura
Comment 2 David W. Legg 2007-12-31 07:13:10 EST
BTW: I could not find a Rosegarden bugzilla anywhere so thought this the best
place to log this bug.

Also, I believe this is a problem in Fedora 8 too, not just <=FC7.
Comment 3 Bug Zapper 2008-05-14 11:13:19 EDT
This message is a reminder that Fedora 7 is nearing the end of life. Approximately 30 (thirty) days from now Fedora will stop maintaining and issuing updates for Fedora 7. It is Fedora's policy to close all bug reports from releases that are no longer maintained. At that time this bug will be closed as WONTFIX if it remains open with a Fedora 'version' of '7'.

Package Maintainer: If you wish for this bug to remain open because you plan to fix it in a currently maintained version, simply change the 'version' to a later Fedora version prior to Fedora 7's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that we may not be able to fix it before Fedora 7 is end of life. If you would still like to see this bug fixed and are able to reproduce it against a later version of Fedora please change the 'version' of this bug. If you are unable to change the version, please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's lifetime, sometimes those efforts are overtaken by events. Often a more recent Fedora release includes newer upstream software that fixes bugs or makes them obsolete. If possible, it is recommended that you try the newest available Fedora distribution to see if your bug still exists.

Please read the Release Notes for the newest Fedora distribution to make sure it will meet your needs:
http://docs.fedoraproject.org/release-notes/

The process we are following is described here: http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 David W. Legg 2008-05-15 10:26:29 EDT
Still a problem in F8.
How about carrying forward into a later Fedora?
Comment 5 Bug Zapper 2008-11-26 04:13:46 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Bug Zapper 2009-01-09 00:39:43 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.